Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.sampler
Class HTTPHC4Impl

    java.lang.Object
      org.apache.jmeter.protocol.http.sampler.HTTPAbstractImpl
          org.apache.jmeter.protocol.http.sampler.HTTPHCAbstractImpl
              org.apache.jmeter.protocol.http.sampler.HTTPHC4Impl

All Implemented Interfaces:
  HTTPConstantsInterface, Interruptible

    public class HTTPHC4Impl

extends HTTPHCAbstractImpl

HTTP Sampler using Apache HttpClient 4.x.

Field Summary

Fields inherited from class org.apache.jmeter.protocol.http.sampler.HTTPHCAbstractImpl
`CPS_HTTP, CPS_HTTPS, HTTP_VERSION, localAddress, localHost, NONPROXY_HOSTS, nonProxyHostFull, nonProxyHostSuffix, nonProxyHostSuffixSize, PROXY_DEFINED, PROXY_DOMAIN, PROXY_HOST, PROXY_PASS, PROXY_PORT, PROXY_USER, SO_TIMEOUT, USE_LOOPBACK`

Fields inherited from class org.apache.jmeter.protocol.http.sampler.HTTPAbstractImpl
`testElement`

Fields inherited from interface org.apache.jmeter.protocol.http.util.HTTPConstantsInterface
`APPLICATION_X_WWW_FORM_URLENCODED, CACHE_CONTROL, CONNECT, CONNECTION_CLOSE, DATE, DEFAULT_HTTP_PORT, DEFAULT_HTTP_PORT_STRING, DEFAULT_HTTPS_PORT, DEFAULT_HTTPS_PORT_STRING, DELETE, ENCODING_GZIP, ETAG, EXPIRES, GET, HEAD, HEADER_AUTHORIZATION, HEADER_CONNECTION, HEADER_CONTENT_DISPOSITION, HEADER_CONTENT_ENCODING, HEADER_CONTENT_LENGTH, HEADER_CONTENT_TYPE, HEADER_COOKIE, HEADER_HOST, HEADER_LOCATION, HEADER_SET_COOKIE, HTTP_1_1, IF_MODIFIED_SINCE, IF_NONE_MATCH, KEEP_ALIVE, LAST_MODIFIED, MULTIPART_FORM_DATA, OPTIONS, PATCH, POST, PROTOCOL_HTTP, PROTOCOL_HTTPS, PUT, TRACE, TRANSFER_ENCODING`

Constructor Summary
`protected` | `HTTPHC4Impl(HTTPSamplerBase testElement)`

Method Summary
`protected String` | `getCharsetWithDefault(org.apache.http.params.HttpParams putParams)` If contentEncoding is not set by user, then Platform encoding will be used to convert to String
`boolean` | `interrupt()` Interrupt the current operation if possible.
`protected void` | `notifySSLContextWasReset()` Called by testIterationStart if the SSL Context was reset.
`protected HTTPSampleResult` | `sample(URL url, String method, boolean areFollowingRedirect, int frameDepth)`
`protected void` | `setDefaultRequestHeaders(org.apache.http.HttpRequest request)` Set any default request headers to include
`void` | `threadFinished()`

Methods inherited from class org.apache.jmeter.protocol.http.sampler.HTTPHCAbstractImpl
`isDynamicProxy, isNonProxy, isNullOrEmptyTrimmed, isPartialMatch, isStaticProxy`

Methods inherited from class org.apache.jmeter.protocol.http.sampler.HTTPAbstractImpl
`errorResult, getArguments, getAuthManager, getAutoRedirects, getCacheManager, getConnectTimeout, getContentEncoding, getCookieManager, getDoBrowserCompatibleMultipart, getHeaderManager, getHTTPFiles, getIpSource, getProxyHost, getProxyPass, getProxyPortInt, getProxyUser, getResponseTimeout, getSendFileAsPostBody, getSendParameterValuesAsPostBody, getUseKeepAlive, getUseMultipartForPost, hasArguments, isMonitor, isSuccessCode, readResponse, readResponse, resultProcessing, setUseKeepAlive`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPHC4Impl

    protected HTTPHC4Impl(HTTPSamplerBase testElement)

Method Detail

### sample

    protected HTTPSampleResult sample(URL url,
                                      String method,
                                      boolean areFollowingRedirect,
                                      int frameDepth)

  Specified by:
    `sample` in class `HTTPAbstractImpl`

### setDefaultRequestHeaders

    protected void setDefaultRequestHeaders(org.apache.http.HttpRequest request)

  Set any default request headers to include

  Parameters:
    `request` - the HttpRequest to be used

### getCharsetWithDefault

    protected String getCharsetWithDefault(org.apache.http.params.HttpParams putParams)

  If contentEncoding is not set by user, then Platform encoding will be used to convert to String

  Parameters:
    `putParams` - `HttpParams`
  Returns:
    String charset

### threadFinished

    public void threadFinished()

  Overrides:
    `threadFinished` in class `HTTPAbstractImpl`

### interrupt

    public boolean interrupt()

  Description copied from interface: `Interruptible`
  Interrupt the current operation if possible.

  Returns:
    `true` if there was an operation to interrupt.

### notifySSLContextWasReset

    protected void notifySSLContextWasReset()

  Called by testIterationStart if the SSL Context was reset. This implementation does nothing.

  Overrides:
    `notifySSLContextWasReset` in class `HTTPAbstractImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.